## org.apache.lucene.queryParser.standard.config
Class DateResolutionAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.queryParser.standard.config.DateResolutionAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, ConfigAttribute, DateResolutionAttribute, org.apache.lucene.util.Attribute

Deprecated.

    @Deprecated
    public class DateResolutionAttributeImpl

extends org.apache.lucene.util.AttributeImpl
implements DateResolutionAttribute, ConfigAttribute

This attribute is used by `ParametricRangeQueryNodeProcessor` processor and must be defined in the `QueryConfigHandler`. This attribute tells the processor which `DateTools.Resolution` to use when parsing the date.

See Also:
  `DateResolutionAttribute`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`DateResolutionAttributeImpl()` Deprecated.

Method Summary
`void` `clear()` Deprecated.
`void` `copyTo(org.apache.lucene.util.AttributeImpl target)` Deprecated.
`boolean` `equals(Object other)` Deprecated.
`org.apache.lucene.document.DateTools.Resolution` `getDateResolution()` Deprecated.
`int` `hashCode()` Deprecated.
`void` `setDateResolution(org.apache.lucene.document.DateTools.Resolution dateResolution)` Deprecated. Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set.
`void` `setQueryConfigHandler(AbstractQueryConfig config)` Deprecated.
`String` `toString()` Deprecated.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateResolutionAttributeImpl

    public DateResolutionAttributeImpl()

  Deprecated.

Method Detail

### setDateResolution

    public void setDateResolution(org.apache.lucene.document.DateTools.Resolution dateResolution)

  Deprecated.
  Description copied from interface: `DateResolutionAttribute`
  Sets the default date resolution used by `RangeQueryNode`s for fields for which no specific date resolutions has been set. Field specific resolutions can be set with

  Specified by:
    `setDateResolution` in interface `DateResolutionAttribute`
  Parameters:
    `dateResolution` - the default date resolution to set

### getDateResolution

    public org.apache.lucene.document.DateTools.Resolution getDateResolution()

  Deprecated.
  Specified by:
    `getDateResolution` in interface `DateResolutionAttribute`

### clear

    public void clear()

  Deprecated.
  Specified by:
    `clear` in class `org.apache.lucene.util.AttributeImpl`

### copyTo

    public void copyTo(org.apache.lucene.util.AttributeImpl target)

  Deprecated.
  Specified by:
    `copyTo` in class `org.apache.lucene.util.AttributeImpl`

### equals

    public boolean equals(Object other)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `org.apache.lucene.util.AttributeImpl`

### setQueryConfigHandler

    public void setQueryConfigHandler(AbstractQueryConfig config)

  Deprecated.
  Specified by:
    `setQueryConfigHandler` in interface `ConfigAttribute`